Last Comment Bug 761174 - Always show a property tooltip
: Always show a property tooltip
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: Firefox 16
Assigned To: Victor Porof [:vporof][:vp]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 08:57 PDT by Panos Astithas [:past]
Modified: 2012-06-22 08:36 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (7.15 KB, patch)
2012-06-21 06:41 PDT, Victor Porof [:vporof][:vp]
no flags Details | Diff | Review
v2 (7.89 KB, patch)
2012-06-21 08:26 PDT, Victor Porof [:vporof][:vp]
past: review+
Details | Diff | Review

Description Panos Astithas [:past] 2012-06-04 08:57:00 PDT
Currently when hovering over properties the user doesn't know if (s)he should wait a bit longer for the tooltip, or the property is neither enumerable, nor writable, nor configurable. It's kinda backwards in that (s)he doesn't get any tooltip when there are lots of decorations on the property (underline, lock), but (s)he gets a long tooltip when there are no decorations.

It would be better UX to display all 3 values, all the time, but use a strike-through font for the ones that have false value.
Comment 1 Victor Porof [:vporof][:vp] 2012-06-21 06:41:15 PDT
Created attachment 635287 [details] [diff] [review]
v1
Comment 2 Victor Porof [:vporof][:vp] 2012-06-21 08:26:29 PDT
Created attachment 635327 [details] [diff] [review]
v2

Lazily initializing the tooltip to make things faster.
Comment 3 Panos Astithas [:past] 2012-06-21 09:48:46 PDT
Comment on attachment 635327 [details] [diff] [review]
v2

Review of attachment 635327 [details] [diff] [review]:
-----------------------------------------------------------------

Like.
Comment 4 Panos Astithas [:past] 2012-06-22 02:38:38 PDT
https://hg.mozilla.org/integration/fx-team/rev/a4d1abc8f965
Comment 5 Tim Taubert [:ttaubert] 2012-06-22 08:36:56 PDT
https://hg.mozilla.org/mozilla-central/rev/a4d1abc8f965

Note You need to log in before you can comment on or make changes to this bug.